Skip to main content
GET
/
v1
/
webhooks
/
deliveries
/
{id}
Get a webhook delivery
curl --request GET \
  --url https://api.strait.dev/v1/webhooks/deliveries/{id} \
  --header 'Authorization: Bearer <token>'
{
  "attempts": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "max_attempts": 123,
  "status": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "webhook_url": "<string>",
  "$schema": "<string>",
  "delivered_at": "2023-11-07T05:31:56Z",
  "event_trigger_id": "<string>",
  "job_id": "<string>",
  "last_error": "<string>",
  "last_status_code": 123,
  "next_retry_at": "2023-11-07T05:31:56Z",
  "run_id": "<string>",
  "subscription_id": "<string>",
  "webhook_retry_policy": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

id
string
required

Response

OK

attempts
integer<int64>
required
created_at
string<date-time>
required
id
string
required
max_attempts
integer<int64>
required
status
string
required
updated_at
string<date-time>
required
webhook_url
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/WebhookDelivery.json"

delivered_at
string<date-time>
event_trigger_id
string
job_id
string
last_error
string
last_status_code
integer<int64>
next_retry_at
string<date-time>
run_id
string
subscription_id
string
webhook_retry_policy
string